# Interface PolylineJson

Contains an array of paths and a spatialReference. See https://developers.arcgis.com/web-map-specification/objects/polyline_geometry/ https://developers.arcgis.com/web-scene-specification/objects/polyline_geometry/.

interface PolylineJson {
hasM?: boolean;
hasZ?: boolean;
paths: number[][][];
spatialReference?: SpatialReferenceJson;
}

#### Hierarchy (view full)

- GeometryJsonBase
  - PolylineJson

#####
Index

### Properties

hasM?
hasZ?
paths
spatialReference?

##
Properties

### `Optional` hasM

hasM?: boolean

Indicates whether the geometry contains M coordinate values.

### `Optional` hasZ

hasZ?: boolean

Indicates whether the geometry contains Z coordinate values.

### paths

paths: number[][][]

Three nested arrays which corresponds to a polyline.

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

The spatial reference can be defined using a well-known ID (WKID) or well-known text (WKT).

Inherited from GeometryJsonBase.spatialReference